Package Gnumed :: Package business :: Module gmPerson :: Class cPatient |
[frames] | no frames]

# Class cPatient

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                            cIdentity --+
                                                        |
                                                       cPatient

    Represents a person which is a patient.

    - a specializing subclass of cIdentity turning it into a patient
    - its use is to cache subobjects like EMR and document folder

Instance Methods
__init__(self, aPK_obj=None, row=None) Init business object. | source code
cleanup(self) Do cleanups before dying. | source code
get_emr(self) | source code
get_document_folder(self) | source code
Inherited from `cIdentity`: `__setitem__`, `add_external_id`, `add_name`, `add_tag`, `assimilate_identity`, `delete_external_id`, `delete_message`, `delete_name`, `delete_relative`, `dob_in_range`, `export_as_gdt`, `get_active_name`, `get_addresses`, `get_comm_channels`, `get_description`, `get_description_gender`, `get_dirname`, `get_external_ids`, `get_formatted_dob`, `get_last_encounter`, `get_medical_age`, `get_names`, `get_occupations`, `get_relatives`, `get_tags`, `get_waiting_list_entry`, `link_address`, `link_comm_channel`, `link_new_relative`, `link_occupation`, `put_on_waiting_list`, `remove_tag`, `set_nickname`, `unlink_address`, `unlink_comm_channel`, `unlink_occupation`, `update_external_id` Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| emr = `property(get_emr, lambda x: x)`
| document_folder = `property(get_document_folder, lambda x: x)`
Inherited from `cIdentity`: `ID`, `active_name`, `emergency_contact_in_database`, `external_ids`, `gender_symbol`, `is_patient`, `messages`, `primary_provider`, `staff_id`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, row=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row)
Overrides: object.__init__ (inherited documentation)

### cleanup(self) | source code
    Do cleanups before dying.

    - note that this may be called in a thread
Overrides: cIdentity.cleanup